Deactivate a trading bot
curl --request DELETE \
--url https://mcp.echozero.app/api/v1/users/me/activations/{strategyId} \
--header 'Authorization: Bearer <token>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>'import requests
url = "https://mcp.echozero.app/api/v1/users/me/activations/{strategyId}"
headers = {
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>'
}
};
fetch('https://mcp.echozero.app/api/v1/users/me/activations/{strategyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'DELETE',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>'
}
};
fetch('https://mcp.echozero.app/api/v1/users/me/activations/{strategyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mcp.echozero.app/api/v1/users/me/activations/{strategyId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-signature", "<x-signature>")
req.Header.Add("x-timestamp", "<x-timestamp>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"success": true,
"message": "<string>"
}
}User
Deactivate a trading bot
:strategyId is the trading bot id.
DELETE
/
api
/
v1
/
users
/
me
/
activations
/
{strategyId}
Deactivate a trading bot
curl --request DELETE \
--url https://mcp.echozero.app/api/v1/users/me/activations/{strategyId} \
--header 'Authorization: Bearer <token>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>'import requests
url = "https://mcp.echozero.app/api/v1/users/me/activations/{strategyId}"
headers = {
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>'
}
};
fetch('https://mcp.echozero.app/api/v1/users/me/activations/{strategyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'DELETE',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>'
}
};
fetch('https://mcp.echozero.app/api/v1/users/me/activations/{strategyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mcp.echozero.app/api/v1/users/me/activations/{strategyId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-signature", "<x-signature>")
req.Header.Add("x-timestamp", "<x-timestamp>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"success": true,
"message": "<string>"
}
}Authorizations
bearer-jwtapi-key
User JWT access token issued by POST /api/auth/verify or POST /api/auth/social/verify. Routes that accept both auth modes declare api-key and bearer-jwt security schemes.
Headers
Required for API-key authenticated requests. HMAC-SHA256(secretKey, timestamp + METHOD + path + body) as lowercase hex. Omit only for JWT/OAuth session tokens or public routes.
Required with x-signature. Epoch milliseconds; rejected if drift exceeds 5 minutes. Omit only for JWT/OAuth session tokens or public routes.